Docs
Templates

Get a template

GET
/v1/templates/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

API key (csk_live_…)

In: header

Path Parameters

id*string

Template ID or slug

Response Body

application/json

application/json

application/json

curl -X GET "https://api.cospec.io/v1/templates/string"
{
  "template": {
    "id": "string",
    "slug": "string",
    "name": "string",
    "description": "string",
    "baseImage": "node-22",
    "envVars": {
      "property1": "string",
      "property2": "string"
    },
    "guardrails": {
      "maxTurns": 0,
      "maxCostUsd": 0,
      "timeoutMinutes": 0
    },
    "egressDomains": [
      "string"
    ],
    "isSystem": true,
    "createdBy": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}